Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERIndex

    com.change_vision.jude.api.inf.model.IERIndex

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IERIndex

extends INamedElement

Interface for ERIndex

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract void` | `addERAttribute(IERAttribute attribute)` Add an attribute of ERIndex
`abstract IERAttribute[]` | `getERAttributes()` Get attributes.
`abstract IERRelationship[]` | `getERRelationships()` Get erRelationships with this erIndex.
`abstract String` | `getKind()` Get a kind of ERIndex.
`abstract IEREntity` | `getParentEREntity()` Get parent EREntity.
`abstract boolean` | `isKey()` Check if the Key(AK,IE) is shown.
`abstract boolean` | `isUnique()` Check if the ERIndex is unique.
`abstract void` | `removeERAttribute(IERAttribute attribute)` Remove an attribute of ERIndex.
`abstract void` | `setKey(boolean isKey)` Set "show as Key(AK,IE)" / "not show as key(AK,IE)" to ERIndex.
`abstract void` | `setUnique(boolean isUnique)` Set unique/nonunique to ERIndex.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isUnique

    abstract boolean isUnique()

  Check if the ERIndex is unique.

  Returns:
    true Alternate Key(AK) / false: Inversion Entry(IE)

### isKey

    abstract boolean isKey()

  Check if the Key(AK,IE) is shown.

  Returns:
    true: show as key(AK,IE) / false: not show as key(AK,IE)

### getParentEREntity

    abstract IEREntity getParentEREntity()

  Get parent EREntity.

  Returns:
    EREntity

### getERAttributes

    abstract IERAttribute[] getERAttributes()

  Get attributes.

  Returns:
    the array of attributes. Return the empty array if there is none.

### getERRelationships

    abstract IERRelationship[] getERRelationships()

  Get erRelationships with this erIndex.

  Returns:
    the array of Relationship. Return the empty array if there is none.

### getKind

    abstract String getKind()

  Get a kind of ERIndex.

  Returns:
    kind: AK1...,IE1... kind: AK1...,IE1...

### addERAttribute

    abstract void addERAttribute(IERAttribute attribute)

  Add an attribute of ERIndex

  Parameters:
    `attribute` - attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### removeERAttribute

    abstract void removeERAttribute(IERAttribute attribute)

  Remove an attribute of ERIndex.

  Parameters:
    `attribute` - attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setUnique

    abstract void setUnique(boolean isUnique)

  Set unique/nonunique to ERIndex.

  Parameters:
    `isUnique` - true - Alternate Key false - Inversion Entry
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setKey

    abstract void setKey(boolean isKey)

  Set "show as Key(AK,IE)" / "not show as key(AK,IE)" to ERIndex.

  Parameters:
    `isKey` - true - show as Key(AK,IE) false - not show as key(AK,IE)
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD